Subject: java implementation of slp programming interfaces

From: [email-masked]
Date: Thu, 19 Oct 2000 15:02:18 -0700

friends--

I have been asked to determine if it's possible to obtain an implementation of
SLPv2 with a Java programming interface that may be deployed on Solaris 2.6.

I have been searching various web resources all afternoon and have come up
completely empty-handed.  I now turn to the SVRLOC working group list of help.
I would prefer not to have to code a JNI shim for Mini-SLP (or a complete native
Java implementation) just because I have coders who hate Perl and C.  I am not
myself a Java programmer, and neither is anyone else on my staff.

Are there any commercial or non-commercial products I should review?

--
j h woodyatt <[email-masked]>
coder, foundation software
enron broadband switching systems

---

From: Erik Guttman <[email-masked]>
Date: Fri, 20 Oct 2000 09:05:29 +0200 (MET DST)

> 
> 
> friends--
> 
> I have been asked to determine if it's possible to obtain an implementation
> of SLPv2 with a Java programming interface that may be deployed on Solaris
> 2.6.
> 
> completely empty-handed.  I now turn to the SVRLOC working group list of
> help. I would prefer not to have to code a JNI shim for Mini-SLP (or a
> complete native Java implementation) just because I have coders who hate
> Perl and C.  I am not myself a Java programmer, and neither is anyone else
> on my staff.
> 

SLPv2 with a full Java API is supported on Solaris 8.  The implementation
is located in /usr/share/lib/slp/slpd.jar and /usr/share/lib/slp/slp.jar 
by the way. The Sun java API library implementation assumes that the DA 
or SA is running at all times.  Solaris 8 has online man pages and an
administrator's guide at:  

http://docs.sun.com/ab2/coll.47.11/SVCLOCADMIN/@Ab2TocView?Ab2Lang=C&Ab2Enc=iso-8859-1

Erik

._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._.
E r i k   G u t t m a n         SHORT msgs: [email-masked]
Sr Staff Engineer, Sun Microsystems       Email: [email-masked]
Eichhoelzelstr. 7, 74915 Waibstadt Germany    Phone: +49 172 865 5497

Un vieux Sphinx ignore' du monde insoucieux,      
Oublie' sur la carte, et donc l'humeur farouche   Spleen et Ide'al, 
Ne chante qu'aux rayons du soleil qui se couche.  LXXVI.  Baudelaire